This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 475597 - Japanese spam breaks VM
Japanese spam breaks VM
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: emacs-vm (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 13:33 EST by Joe Bayes
Modified: 2009-11-18 09:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 09:22:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spam that breaks VM (2.58 KB, text/plain)
2008-12-09 13:33 EST, Joe Bayes
no flags Details

  None (edit)
Description Joe Bayes 2008-12-09 13:33:56 EST
Created attachment 326377 [details]
spam that breaks VM

Description of problem:
When I load the attached Japanese spam in VM, it bleeps and messages: 

  Wrong type argument: stringp, =\?UTF-8\?Q\?

Version-Release number of selected component (if applicable):
emacs-vm-8.0.12-3.fc10.x86_64


How reproducible:
always

Steps to Reproduce:
1. emacs -q
2. M-x vm
3. v breakVM
  
Actual results:
vm bleeps and messages 
  Wrong type argument: stringp, =\?UTF-8\?Q\?

Expected results:
vm loads the silly Japanese spam

Additional info:
The bug doesn't manifest the first time I load a message, nor does it manifest if I delete the data following the X-VM-v5-Data: header -- but if I delete the header, load the message, quit, then re-load the message, the bug manifests. In other words, I think VM is inserting something into that line which it can't read.

Since reading silly Japanese spam isn't a high priority for me, this isn't an urgent bug -- more like a "FYI, this is broken". But sometimes one of these spams will get past spamassassin, and then if I don't delete it immediately, it makes my whole mailbox unreadable until I go in and manually delete the message in a regular (non-VM) emacs buffer.
Comment 1 Jonathan Underwood 2008-12-10 10:02:35 EST
Hm, thanks for the heads up. It's great you've got a recipe to reproduce it. Am afraid it's beyond my lisp skills to work this one out though (at least in the small amount of time I've had available to look at it), but I have reported it upstream.
Comment 2 Bug Zapper 2009-11-18 07:41:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jonathan Underwood 2009-11-18 09:22:32 EST
Closing this as UPSTREAM, as I have reported it there.

However, VM is pretty much unmaintained upstream presently, so my recommendation would be to migrate away from using it... bitrot will only get worse with the move to emacs 23.

Note You need to log in before you can comment on or make changes to this bug.